fop 1.1

## org.apache.fop.layoutmgr.table
Class TableRowIterator

    java.lang.Object
      org.apache.fop.layoutmgr.table.TableRowIterator

    public class TableRowIterator

extends java.lang.Object

Iterator that lets the table layout manager step over all the rows of a part of the table (table-header, table-footer or table-body).

Note: This class is not thread-safe.

Field Summary
`static int` `BODY` Selects the table-body elements for iteration.
`static int` `FOOTER` Selects the table-footer elements for iteration.
`static int` `HEADER` Selects the table-header elements for iteration.
`protected Table` `table` The table on which this instance operates.

Constructor Summary
`TableRowIterator(Table table, int tablePart)` Creates a new TableRowIterator.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BODY

    public static final int BODY

  Selects the table-body elements for iteration.

  See Also:
    Constant Field Values

### HEADER

    public static final int HEADER

  Selects the table-header elements for iteration.

  See Also:
    Constant Field Values

### FOOTER

    public static final int FOOTER

  Selects the table-footer elements for iteration.

  See Also:
    Constant Field Values

### table

    protected Table table

  The table on which this instance operates.

Constructor Detail

### TableRowIterator

    public TableRowIterator(Table table,
                            int tablePart)

  Creates a new TableRowIterator.

  Parameters:
    `table` - the table to iterate over
    `tablePart` - indicates what part of the table to iterate over (HEADER, FOOTER, BODY)

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.